Uploaded image for project: 'WiredTiger'
  1. WiredTiger
  2. WT-1923

Improve backward compatibility

    XMLWordPrintable

    Details

    • Type: Improvement
    • Status: Closed
    • Priority: Major - P3
    • Resolution: Done
    • Affects Version/s: WT2.5.3, WT2.6.0
    • Fix Version/s: None
    • Component/s: None
    • Labels:
      None

      Description

      At the moment attempting to open a database that was created by a newer version of WiredTiger will fail if there is a base configuration file present.

      That causes problems for any application opening a database across versions.

      It would be better if the options in the base configuration file are checked if the file was created with a different version, and an error is only returned if the included configuration options are not valid.

        Attachments

          Issue Links

            Activity

              People

              Assignee:
              backlog-server-execution Backlog - Execution Team
              Reporter:
              alexander.gorrod Alexander Gorrod
              Votes:
              0 Vote for this issue
              Watchers:
              7 Start watching this issue

                Dates

                Created:
                Updated:
                Resolved: